Bug 188857 - audio/pd: Update to version 0.45.5
Summary: audio/pd: Update to version 0.45.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-21 19:10 UTC by tkato432
Modified: 2014-05-17 12:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.73 KB, patch)
2014-04-21 19:10 UTC, tkato432
no flags Details | Diff
audio_pd.diff (4.14 KB, patch)
2014-04-23 19:28 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-04-21 19:10:00 UTC
- Update to version 0.45.5
Comment 1 Edwin Groothuis freebsd_committer 2014-04-21 19:10:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2014-04-23 19:28:52 UTC
Remake of the patch against current tree.
Comment 3 Martin Wilke freebsd_committer 2014-05-17 11:52:31 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2014-05-17 11:52:37 UTC
Author: miwi
Date: Sat May 17 10:52:33 2014
New Revision: 354308
URL: http://svnweb.freebsd.org/changeset/ports/354308
QAT: https://qat.redports.org/buildarchive/r354308/

Log:
  - Update to 0.45.5
  
  PR:		188857
  Submitted by:	Ports Fury

Modified:
  head/audio/pd/Makefile
  head/audio/pd/distinfo
  head/audio/pd/pkg-plist

Modified: head/audio/pd/Makefile
==============================================================================
--- head/audio/pd/Makefile	Sat May 17 09:56:00 2014	(r354307)
+++ head/audio/pd/Makefile	Sat May 17 10:52:33 2014	(r354308)
@@ -2,9 +2,8 @@
 # $FreeBSD$
 
 PORTNAME=	pd
-DISTVERSION=	0.45-4
+DISTVERSION=	0.45-5
 DISTVERSIONSUFFIX=	.src
-PORTREVISION=	1
 CATEGORIES=	audio
 MASTER_SITES=	http://msp.ucsd.edu/Software/
 
@@ -16,12 +15,11 @@ LICENSE=	BSD
 RUN_DEPENDS=	xdg-open:${PORTSDIR}/devel/xdg-utils \
 		dejavu>0:${PORTSDIR}/x11-fonts/dejavu
 
-OPTIONS_DEFINE=	ALSA FFTW JACK DOCS
-OPTIONS_DEFAULT=FFTW
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S,${DISTVERSIONSUFFIX},,}
 
-USES=		gettext gmake libtool:keepla pkgconfig shebangfix tk:wrapper
+USES=		gettext gmake libtool pkgconfig shebangfix tcl:wrapper \
+		tk:wrapper
 SHEBANG_FILES=	tcl/pkg_mkIndex.tcl
 SHEBANG_LANG=	tclsh
 tclsh_OLD_CMD=	/usr/bin/tclsh
@@ -35,16 +33,16 @@ CONFIGURE_ENV=	ac_cv_lib_pthread_pthread
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib -pthread
 
-DESKTOP_ENTRIES=	"Pd" "${COMMENT}" \
-			"${LOCALBASE}/lib/pd/tcl/pd.ico" "pd" "" false
+DESKTOP_ENTRIES="Pd" "" "${PREFIX}/lib/pd/tcl/pd.ico" "pd" "" false
+
+OPTIONS_DEFINE=		ALSA DOCS FFTW JACK
+OPTIONS_DEFAULT=	FFTW
 
 ALSA_CONFIGURE_ENABLE=	alsa
 ALSA_LIB_DEPENDS=	libasound.so:${PORTSDIR}/audio/alsa-lib
-
 FFTW_CONFIGURE_ENABLE=	fftw
 FFTW_BUILD_DEPENDS=	fftw3>0:${PORTSDIR}/math/fftw3
 FFTW_LIB_DEPENDS=	libfftw3f.so:${PORTSDIR}/math/fftw3-float
-
 JACK_CONFIGURE_ENABLE=	jack
 JACK_LIB_DEPENDS=	libjack.so:${PORTSDIR}/audio/jack
 
@@ -100,5 +98,7 @@ do-install:
 	(cd ${WRKSRC} && ${INSTALL_DATA} ${i} ${STAGEDIR}${DOCSDIR})
 .endfor
 	@${LN} -sf ${DOCSDIR} ${STAGEDIR}${PREFIX}/lib/pd/doc
+	@${FIND} ${STAGEDIR}${PREFIX}/lib/pd -name "*.pd_linux" | ${XARGS} \
+		${STRIP_CMD}
 
 .include <bsd.port.mk>

Modified: head/audio/pd/distinfo
==============================================================================
--- head/audio/pd/distinfo	Sat May 17 09:56:00 2014	(r354307)
+++ head/audio/pd/distinfo	Sat May 17 10:52:33 2014	(r354308)
@@ -1,2 +1,2 @@
-SHA256 (pd-0.45-4.src.tar.gz) = 57a80de8b0c22e508022e01449747310822ec90bc21c2272ddfd8be8cb5542d3
-SIZE (pd-0.45-4.src.tar.gz) = 2252744
+SHA256 (pd-0.45-5.src.tar.gz) = c4a26e570a08b8e955b9b2058222c25ec0e8fc1333f616cd500cdd73d2670ac6
+SIZE (pd-0.45-5.src.tar.gz) = 2248251

Modified: head/audio/pd/pkg-plist
==============================================================================
--- head/audio/pd/pkg-plist	Sat May 17 09:56:00 2014	(r354307)
+++ head/audio/pd/pkg-plist	Sat May 17 10:52:33 2014	(r354308)
@@ -12,11 +12,9 @@ lib/pd/bin/pd
 lib/pd/bin/pd-watchdog
 %%PORTDOCS%%lib/pd/doc
 lib/pd/extra/bonk~/bonk~-help.pd
-lib/pd/extra/bonk~/bonk~.la
 lib/pd/extra/bonk~/bonk~.pd_linux
 lib/pd/extra/bonk~/templates.txt
 lib/pd/extra/choice/choice-help.pd
-lib/pd/extra/choice/choice.la
 lib/pd/extra/choice/choice.pd_linux
 lib/pd/extra/complex-mod~-help.pd
 lib/pd/extra/complex-mod~.pd
@@ -26,7 +24,6 @@ lib/pd/extra/expr~/LICENSE.txt
 lib/pd/extra/expr~/README.txt
 lib/pd/extra/expr~/expr-help.pd
 lib/pd/extra/expr~/expr.pd_linux
-lib/pd/extra/expr~/expr~.la
 lib/pd/extra/expr~/expr~.pd_linux
 lib/pd/extra/expr~/fexpr~.pd_linux
 lib/pd/extra/expr~-help.pd
@@ -34,25 +31,19 @@ lib/pd/extra/expr~.pd_linux
 lib/pd/extra/fexpr~-help.pd
 lib/pd/extra/fexpr~.pd_linux
 lib/pd/extra/fiddle~/fiddle~-help.pd
-lib/pd/extra/fiddle~/fiddle~.la
 lib/pd/extra/fiddle~/fiddle~.pd_linux
 lib/pd/extra/hilbert~-help.pd
 lib/pd/extra/hilbert~.pd
 lib/pd/extra/loop~/loop~-help.pd
-lib/pd/extra/loop~/loop~.la
 lib/pd/extra/loop~/loop~.pd_linux
 lib/pd/extra/loop~/test-loop~.pd
 lib/pd/extra/lrshift~/lrshift~-help.pd
-lib/pd/extra/lrshift~/lrshift~.la
 lib/pd/extra/lrshift~/lrshift~.pd_linux
-lib/pd/extra/pd~/pdsched.la
 lib/pd/extra/pd~/pdsched.pd_linux
 lib/pd/extra/pd~/pd~-help.pd
 lib/pd/extra/pd~/pd~-subprocess.pd
-lib/pd/extra/pd~/pd~.la
 lib/pd/extra/pd~/pd~.pd_linux
 lib/pd/extra/pique/pique-help.pd
-lib/pd/extra/pique/pique.la
 lib/pd/extra/pique/pique.pd_linux
 lib/pd/extra/rev1-final.pd
 lib/pd/extra/rev1-stage.pd
@@ -63,10 +54,8 @@ lib/pd/extra/rev2~.pd
 lib/pd/extra/rev3~-help.pd
 lib/pd/extra/rev3~.pd
 lib/pd/extra/sigmund~/sigmund~-help.pd
-lib/pd/extra/sigmund~/sigmund~.la
 lib/pd/extra/sigmund~/sigmund~.pd_linux
 lib/pd/extra/stdout/stdout-help.pd
-lib/pd/extra/stdout/stdout.la
 lib/pd/extra/stdout/stdout.pd_linux
 lib/pd/po/af.msg
 lib/pd/po/az.msg
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"